Index: /sandbox/2.5.1-expresso1/prototype/modules/attach_message/attach_message.js
===================================================================
--- /sandbox/2.5.1-expresso1/prototype/modules/attach_message/attach_message.js	(revision 7901)
+++ /sandbox/2.5.1-expresso1/prototype/modules/attach_message/attach_message.js	(revision 7904)
@@ -664,11 +664,40 @@
             if(preferences.use_local_messages != 0)
             {
+
+                folder = folder.split("_")[2];
+                folder = "messages_"+folder;
+
                 var local_folders   = [];
                 expresso_mail_archive.search_queryresult = null;
                 
                 local_folders.push(folder);
-        
-                expresso_mail_archive.search(local_folders, "##ALL <=>" + url_encode(param) + "##");
-                tmp = expresso_mail_archive.search_queryresult;
+
+                expresso_local_messages.setSortType('SORTDATE');
+                
+                tmp = [];
+
+                groupResult = [];
+                    expresso_mail_archive.search(local_folders, "SUBJECT " +  "<=>" +url_encode(param) + "##");
+                        groupResult.push( expresso_mail_archive.search_queryresult );
+                    expresso_mail_archive.search(local_folders, "FROM " + "<=>" + url_encode(param) + "##");
+                        groupResult.push( expresso_mail_archive.search_queryresult );
+                    expresso_mail_archive.search(local_folders, "TO " + "<=>" + url_encode(param) + "##");
+                        groupResult.push( expresso_mail_archive.search_queryresult );
+                    expresso_mail_archive.search(local_folders, "CC " + "<=>" + url_encode(param) + "##");
+                        groupResult.push( expresso_mail_archive.search_queryresult );
+                    
+                if($("#gbox_message_attacher_grid .attach-message-search-checkbox").is(":checked")){
+                    expresso_mail_archive.search(local_folders, "BODY " + "<=>" + url_encode(param) + "##");
+                        groupResult.push( expresso_mail_archive.search_queryresult );
+                }
+
+                
+                $.each(groupResult, function(i, result){
+                    if(result != null){
+                        $.each(result, function(i, each){
+                            tmp.push(each);
+                        });
+                    }
+                });
 
                 if(tmp == null)
@@ -679,4 +708,5 @@
 
                 msgs = [];
+
                 $.each(tmp, function(i, msg){
 
@@ -685,10 +715,14 @@
 
                     var message = {};
-                    
+
+                    var stamp =  msg['timestamp'];
+                    stamp = stamp.toString() + "000";
+                    stamp = parseInt(stamp);
+
                     message['msg_number'] = id;
                     message['flags'] = flag;
                     message['from.name'] = msg['from'];
                     message['subject'] = msg['subject'];
-                    message['timestamp'] = msg['timestamp'];
+                    message['timestamp'] = stamp;
                     message['size'] = msg['size'];
                     message['id'] = id;
@@ -724,5 +758,5 @@
 
             msgs = [];
-            console.log(tmp);
+
             $.each(tmp, function(i, msg){
                 flag = msg['flag'];
@@ -741,6 +775,4 @@
             });
 
-            console.log(msgs);
-
             return msgs;
         }
@@ -752,4 +784,8 @@
             if(folder.indexOf("local_messages_") == 0){
                 // Pesquisa pelas mensagens locais...
+                if(param == ""){
+                    $("#foldertree #"+folder).trigger("click");
+                    return;
+                }
                 msgs = search_local_messsages(param, folder);
             } else {
Index: /sandbox/2.5.1-expresso1/expressoMail1_2/js/search.js
===================================================================
--- /sandbox/2.5.1-expresso1/expressoMail1_2/js/search.js	(revision 7786)
+++ /sandbox/2.5.1-expresso1/expressoMail1_2/js/search.js	(revision 7904)
@@ -1,6 +1,6 @@
 	xhr = false;
 
-    // Comentei a linha abaixo por ocorrer alguns problema na abertura de uma nova mensagem após uma pesquisa realizada.
-    // Caso essa linha está sendo utilizada em algum lugar, por favor coloque algum tratamento ou aplique uma nova solução. 
+    // Comentei a linha abaixo por ocorrer alguns problema na abertura de uma nova mensagem apÃ³s uma pesquisa realizada.
+    // Caso essa linha estÃ¡ sendo utilizada em algum lugar, por favor coloque algum tratamento ou aplique uma nova soluÃ§Ã£o. 
 	// var folder 		= {};
 	
@@ -31,5 +31,5 @@
 				Element("check_all_msg").checked = true;
 			
-		   /* flag de controle. Evita o acesso ao elemento "check_all_msg" que será inserido no documento 
+		   /* flag de controle. Evita o acesso ao elemento "check_all_msg" que serÃ¡ inserido no documento 
 			* apenas quando o template for carregado
 			*/
@@ -151,5 +151,5 @@
 	searchE.prototype.foldersTree = function()
 	{
-		/*Insere a árvore de diretórios*/
+		/*Insere a Ã¡rvore de diretÃ³rios*/
 
 		var foldersTree = jQuery("#divFoldersSearch")
@@ -190,4 +190,5 @@
 	function openpage(data)
 	{
+        console.log(1);
 		var _data			= [3];
 		var _gears			= [];
@@ -357,4 +358,5 @@
 		var handler = function( data )
 		{
+            console.log(2);
         	var allMsg			= [3];
     		var gears			= [];
@@ -438,5 +440,5 @@
 						
 					}
-				
+				uick
 				}
 			}
@@ -469,5 +471,5 @@
 	/**
 	 * Preenche a estrutura de cache de mensagens para posterior consulta de 
-	 * informações sobre as mensagens no escopo global.
+	 * informaÃ§Ãµes sobre as mensagens no escopo global.
 	 */
 		if (!onceOpenedHeadersMessages[aux.boxname])
@@ -576,5 +578,5 @@
 						$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", "transparent");
 			
-						/**TODO Alterar após melhorias no filtro da camada javascript*/
+						/**TODO Alterar apÃ³s melhorias no filtro da camada javascript*/
 						DataLayer.remove('followupflagged', false);
 						var flagged = DataLayer.get('followupflagged', {filter: [
@@ -926,5 +928,5 @@
 
 		if ( keep_border ) {
-			/*Recupera o id da ultima aba de pesquisa rápida aberta que não seja de pesquisa local
+			/*Recupera o id da ultima aba de pesquisa rÃ¡pida aberta que nÃ£o seja de pesquisa local
 			para que continue o processamento na mesma aba caso a aba seja alternada durante o processamento da pesquisa.*/
 			var border_id = $('#border_tr > [id*="_search"]:not([id*="_search_local"]):last').attr("id");
@@ -1405,5 +1407,5 @@
 	{
 		var fields = "##";
-		// Verifica se os campos estão preenchidos;
+		// Verifica se os campos estÃ£o preenchidos;
 		if(trim(Element("txt_ass").value) != ""){
 			fields += "SUBJECT " +  "<=>" +url_encode(Element("txt_ass").value) + "##";
@@ -1605,4 +1607,8 @@
 			{
 				expresso_local_messages.setSortType('SORTDATE');
+
+                console.log(local_folders);
+                console.log(fields);
+                
 				//tmp = expresso_local_messages.search( local_folders, fields );
 				expresso_mail_archive.search(local_folders, fields);
@@ -1685,6 +1691,6 @@
 	
 	/*
-	 * Removido o cExecute e trocado pelo $.ajax do jquery que melhor implementa os controles ajax de requisições
-	 * possibilitando o cancelamento real da requisição e liberando usabilidade das demais funcionalidades do módulo 
+	 * Removido o cExecute e trocado pelo $.ajax do jquery que melhor implementa os controles ajax de requisiÃ§Ãµes
+	 * possibilitando o cancelamento real da requisiÃ§Ã£o e liberando usabilidade das demais funcionalidades do mÃ³dulo 
 	 **/
 	searchE.prototype.quickSearchMail = function(value, page, sort, border_id)
@@ -1750,5 +1756,5 @@
 			    write_msg( "pesquisando " + labels[0] + link, true );
 			    var keepFilled = false;
-			    //Inserida variável de controle para correta manipulação das mensagens locais
+			    //Inserida variÃ¡vel de controle para correta manipulaÃ§Ã£o das mensagens locais
 			    var local_messages_link = true;
 
@@ -1765,7 +1771,8 @@
 					//MAILARCHIVER
                     if(preferences.use_local_messages != 0){
-    	                if(local_messages_link){ //Código executado apenas na primeira vez.
+    	                if(local_messages_link){ //CÃ³digo executado apenas na primeira vez.
+                            console.log(local_folders);
     		                if ( local_folders.length > 0 ){
-    		                    expresso_mail_archive.search_queryresult = null; //Limpa a variável global para não exibir resultados anteriores
+    		                    expresso_mail_archive.search_queryresult = null; //Limpa a variÃ¡vel global para nÃ£o exibir resultados anteriores
     		                    expresso_mail_archive.search(local_folders, "##ALL <=>" + url_encode(value) + "##");
     		                    tmp = expresso_mail_archive.search_queryresult;
@@ -1795,5 +1802,5 @@
 							async: true,
 							success: function(data){
-								//Inserida variável de controle para correta manipulação das mensagens locais
+								//Inserida variÃ¡vel de controle para correta manipulaÃ§Ã£o das mensagens locais
 								local_messages_link = false;
 								handler(data);