Index: /sandbox/2.5.1-expresso1/prototype/modules/mail/templates/detailedfoldertree.ejs
===================================================================
--- /sandbox/2.5.1-expresso1/prototype/modules/mail/templates/detailedfoldertree.ejs	(revision 7751)
+++ /sandbox/2.5.1-expresso1/prototype/modules/mail/templates/detailedfoldertree.ejs	(revision 7905)
@@ -56,5 +56,5 @@
 	     <% if(expresso_mail_archive.enabled && data.folders[2].length > 0) { /*MailArchive ativado*/ %>
 	     	<li>
-	    		<span class="folder local-folder head_folder" style="display: inline;">Pastas locais</span>
+	    		<span class="folder local-folder head_folder" >Pastas locais</span>
 	    	 	<% recursive_forest(data.folders[2]); %>
 	    	</li>
Index: /sandbox/2.5.1-expresso1/expressoMail1_2/js/search.js
===================================================================
--- /sandbox/2.5.1-expresso1/expressoMail1_2/js/search.js	(revision 7904)
+++ /sandbox/2.5.1-expresso1/expressoMail1_2/js/search.js	(revision 7905)
@@ -1,6 +1,6 @@
 	xhr = false;
 
-    // Comentei a linha abaixo por ocorrer alguns problema na abertura de uma nova mensagem apÃ³s uma pesquisa realizada.
-    // Caso essa linha estÃ¡ sendo utilizada em algum lugar, por favor coloque algum tratamento ou aplique uma nova soluÃ§Ã£o. 
+    // Comentei a linha abaixo por ocorrer alguns problema na abertura de uma nova mensagem após uma pesquisa realizada.
+    // Caso essa linha está sendo utilizada em algum lugar, por favor coloque algum tratamento ou aplique uma nova solução. 
 	// var folder 		= {};
 	
@@ -31,5 +31,5 @@
 				Element("check_all_msg").checked = true;
 			
-		   /* flag de controle. Evita o acesso ao elemento "check_all_msg" que serÃ¡ inserido no documento 
+		   /* flag de controle. Evita o acesso ao elemento "check_all_msg" que será inserido no documento 
 			* apenas quando o template for carregado
 			*/
@@ -151,5 +151,5 @@
 	searchE.prototype.foldersTree = function()
 	{
-		/*Insere a Ã¡rvore de diretÃ³rios*/
+		/*Insere a árvore de diretórios*/
 
 		var foldersTree = jQuery("#divFoldersSearch")
@@ -471,5 +471,5 @@
 	/**
 	 * Preenche a estrutura de cache de mensagens para posterior consulta de 
-	 * informaÃ§Ãµes sobre as mensagens no escopo global.
+	 * informações sobre as mensagens no escopo global.
 	 */
 		if (!onceOpenedHeadersMessages[aux.boxname])
@@ -578,5 +578,5 @@
 						$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", "transparent");
 			
-						/**TODO Alterar apÃ³s melhorias no filtro da camada javascript*/
+						/**TODO Alterar após melhorias no filtro da camada javascript*/
 						DataLayer.remove('followupflagged', false);
 						var flagged = DataLayer.get('followupflagged', {filter: [
@@ -928,5 +928,5 @@
 
 		if ( keep_border ) {
-			/*Recupera o id da ultima aba de pesquisa rÃ¡pida aberta que nÃ£o seja de pesquisa local
+			/*Recupera o id da ultima aba de pesquisa rápida aberta que não seja de pesquisa local
 			para que continue o processamento na mesma aba caso a aba seja alternada durante o processamento da pesquisa.*/
 			var border_id = $('#border_tr > [id*="_search"]:not([id*="_search_local"]):last').attr("id");
@@ -1407,5 +1407,5 @@
 	{
 		var fields = "##";
-		// Verifica se os campos estÃ£o preenchidos;
+		// Verifica se os campos estão preenchidos;
 		if(trim(Element("txt_ass").value) != ""){
 			fields += "SUBJECT " +  "<=>" +url_encode(Element("txt_ass").value) + "##";
@@ -1607,8 +1607,4 @@
 			{
 				expresso_local_messages.setSortType('SORTDATE');
-
-                console.log(local_folders);
-                console.log(fields);
-                
 				//tmp = expresso_local_messages.search( local_folders, fields );
 				expresso_mail_archive.search(local_folders, fields);
@@ -1691,6 +1687,6 @@
 	
 	/*
-	 * Removido o cExecute e trocado pelo $.ajax do jquery que melhor implementa os controles ajax de requisiÃ§Ãµes
-	 * possibilitando o cancelamento real da requisiÃ§Ã£o e liberando usabilidade das demais funcionalidades do mÃ³dulo 
+	 * Removido o cExecute e trocado pelo $.ajax do jquery que melhor implementa os controles ajax de requisições
+	 * possibilitando o cancelamento real da requisição e liberando usabilidade das demais funcionalidades do módulo 
 	 **/
 	searchE.prototype.quickSearchMail = function(value, page, sort, border_id)
@@ -1756,5 +1752,5 @@
 			    write_msg( "pesquisando " + labels[0] + link, true );
 			    var keepFilled = false;
-			    //Inserida variÃ¡vel de controle para correta manipulaÃ§Ã£o das mensagens locais
+			    //Inserida variável de controle para correta manipulação das mensagens locais
 			    var local_messages_link = true;
 
@@ -1771,8 +1767,8 @@
 					//MAILARCHIVER
                     if(preferences.use_local_messages != 0){
-    	                if(local_messages_link){ //CÃ³digo executado apenas na primeira vez.
+    	                if(local_messages_link){ //Código executado apenas na primeira vez.
                             console.log(local_folders);
     		                if ( local_folders.length > 0 ){
-    		                    expresso_mail_archive.search_queryresult = null; //Limpa a variÃ¡vel global para nÃ£o exibir resultados anteriores
+    		                    expresso_mail_archive.search_queryresult = null; //Limpa a variável global para não exibir resultados anteriores
     		                    expresso_mail_archive.search(local_folders, "##ALL <=>" + url_encode(value) + "##");
     		                    tmp = expresso_mail_archive.search_queryresult;
@@ -1802,5 +1798,5 @@
 							async: true,
 							success: function(data){
-								//Inserida variÃ¡vel de controle para correta manipulaÃ§Ã£o das mensagens locais
+								//Inserida variável de controle para correta manipulação das mensagens locais
 								local_messages_link = false;
 								handler(data);